Package org.jboss.resteasy.client.jaxrs.internal

## Class ClientRequestContextImpl

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.ClientRequestContextImpl

- All Implemented Interfaces:
    `javax.ws.rs.client.ClientRequestContext`

      public class ClientRequestContextImpl
      extends Object
      implements javax.ws.rs.client.ClientRequestContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.ws.rs.core.Response` | `abortedWithResponse` |
    `protected ClientInvocation` | `invocation` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientRequestContextImpl​(ClientInvocation invocation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortWith​(javax.ws.rs.core.Response response)` |
    `javax.ws.rs.core.Response` | `getAbortedWithResponse()` |
    `List<Locale>` | `getAcceptableLanguages()` |
    `List<javax.ws.rs.core.MediaType>` | `getAcceptableMediaTypes()` |
    `javax.ws.rs.client.Client` | `getClient()` |
    `javax.ws.rs.core.Configuration` | `getConfiguration()` |
    `Map<String,​javax.ws.rs.core.Cookie>` | `getCookies()` |
    `Date` | `getDate()` |
    `Object` | `getEntity()` |
    `Annotation[]` | `getEntityAnnotations()` |
    `Class<?>` | `getEntityClass()` |
    `OutputStream` | `getEntityStream()` |
    `Type` | `getEntityType()` |
    `javax.ws.rs.core.MultivaluedMap<String,​Object>` | `getHeaders()` |
    `String` | `getHeaderString​(String name)` |
    `ClientInvocation` | `getInvocation()` | exposes the client invocation for easier integration with other libraries
    `Locale` | `getLanguage()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `String` | `getMethod()` |
    `Object` | `getProperty​(String name)` |
    `Collection<String>` | `getPropertyNames()` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getStringHeaders()` |
    `URI` | `getUri()` |
    `boolean` | `hasEntity()` |
    `void` | `removeProperty​(String name)` |
    `void` | `setEntity​(Object entity)` |
    `void` | `setEntity​(Object entity, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `void` | `setEntityStream​(OutputStream entityStream)` |
    `void` | `setMethod​(String method)` |
    `void` | `setProperty​(String name, Object object)` |
    `void` | `setUri​(URI uri)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### invocation

          protected ClientInvocation invocation

    - #### abortedWithResponse

          protected javax.ws.rs.core.Response abortedWithResponse

  - ### Constructor Detail

    - #### ClientRequestContextImpl

          public ClientRequestContextImpl​(ClientInvocation invocation)

  - ### Method Detail

    - #### getAbortedWithResponse

          public javax.ws.rs.core.Response getAbortedWithResponse()

    - #### getProperty

          public Object getProperty​(String name)

      Specified by:
        `getProperty` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getPropertyNames

          public Collection<String> getPropertyNames()

      Specified by:
        `getPropertyNames` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### setProperty

          public void setProperty​(String name,
                                  Object object)

      Specified by:
        `setProperty` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### removeProperty

          public void removeProperty​(String name)

      Specified by:
        `removeProperty` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getEntityClass

          public Class<?> getEntityClass()

      Specified by:
        `getEntityClass` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getEntityType

          public Type getEntityType()

      Specified by:
        `getEntityType` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### setEntity

          public void setEntity​(Object entity)

      Specified by:
        `setEntity` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### setEntity

          public void setEntity​(Object entity,
                                Annotation[] annotations,
                                javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `setEntity` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getUri

          public URI getUri()

      Specified by:
        `getUri` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### setUri

          public void setUri​(URI uri)

      Specified by:
        `setUri` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### setMethod

          public void setMethod​(String method)

      Specified by:
        `setMethod` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​Object> getHeaders()

      Specified by:
        `getHeaders` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getDate

          public Date getDate()

      Specified by:
        `getDate` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getLanguage

          public Locale getLanguage()

      Specified by:
        `getLanguage` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

      Specified by:
        `getMediaType` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getAcceptableMediaTypes

          public List<javax.ws.rs.core.MediaType> getAcceptableMediaTypes()

      Specified by:
        `getAcceptableMediaTypes` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getAcceptableLanguages

          public List<Locale> getAcceptableLanguages()

      Specified by:
        `getAcceptableLanguages` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getCookies

          public Map<String,​javax.ws.rs.core.Cookie> getCookies()

      Specified by:
        `getCookies` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### hasEntity

          public boolean hasEntity()

      Specified by:
        `hasEntity` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getEntityStream

          public OutputStream getEntityStream()

      Specified by:
        `getEntityStream` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### setEntityStream

          public void setEntityStream​(OutputStream entityStream)

      Specified by:
        `setEntityStream` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getEntity

          public Object getEntity()

      Specified by:
        `getEntity` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getEntityAnnotations

          public Annotation[] getEntityAnnotations()

      Specified by:
        `getEntityAnnotations` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getClient

          public javax.ws.rs.client.Client getClient()

      Specified by:
        `getClient` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getConfiguration

          public javax.ws.rs.core.Configuration getConfiguration()

      Specified by:
        `getConfiguration` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### abortWith

          public void abortWith​(javax.ws.rs.core.Response response)

      Specified by:
        `abortWith` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getStringHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getStringHeaders()

      Specified by:
        `getStringHeaders` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getHeaderString

          public String getHeaderString​(String name)

      Specified by:
        `getHeaderString` in interface `javax.ws.rs.client.ClientRequestContext`

    - #### getInvocation

          public ClientInvocation getInvocation()

      exposes the client invocation for easier integration with other libraries
      Returns:
        the underlying client invocation